> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Microsoft Sentinel RBAC setup URL



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/integration/{id}/microsoft-sentinel-rbac-url
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{id}/microsoft-sentinel-rbac-url:
    get:
      tags:
        - Integration
      summary: Get Microsoft Sentinel RBAC setup URL
      operationId: MicrosoftSentinelController_getMicrosoftSentinelRbacSetupUrl
      parameters:
        - name: id
          required: true
          in: path
          description: Integration ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationMicrosoftSentinelRbacSetupUrl'
      security:
        - bearer: []
components:
  schemas:
    IntegrationMicrosoftSentinelRbacSetupUrl:
      type: object
      properties:
        url:
          type: string
          description: Deploy-to-Azure URL for Microsoft Sentinel RBAC setup
        applicationId:
          type: string
          description: Microsoft application ID used by this integration instance
        tenantId:
          type: string
          description: Microsoft tenant ID connected to this integration instance
      required:
        - url
        - applicationId
        - tenantId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````